## dropbear 2017.75

=== debian/changelog ===
dropbear (2017.75-3build1) bionic; urgency=medium

  * Rebuild against libtomcrypt1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2017 21:48:39 +0000

dropbear (2017.75-3) unstable; urgency=low

  * debian/control:
    + Remove hardcoding of libtomcryptX/libtommathY in dropbear-bin's Depends.
      (Closes: #879221.)
    + Bump Standards-Version to 4.1.1.  Changes:
      - Replace dropbear's Priority from extra to optional (inherited from
        source package paragraph).

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 22 Oct 2017 14:30:10 +0200

dropbear (2017.75-2) unstable; urgency=low

  * dropbear-initramfs:
    + init-bottom script: in the init-bottom script, send a SIGTERM to all
      process groups the leader of which is a child of the dropbear process,
      to ensure that all children of all SSH sessions are terminated (before
      dropear itself is killed).
    + postinst: don't print the reminder to check "ip=" boot parameter if it's
      already found in /proc/cmdline.
    + premount script: log to standard error if the 'debug' environment
      variable is set.
    + premount script: boot method (local or NFS) is in environment variable
      'BOOT' not 'boot'.
    + On local mounts, don't bring down the network before dropbear was
      terminated (at init-bottom stage, not at local-bottom stage).  Bringing
      down the network while an SSH session is still active makes clients hang
      until the connection times out.
    + init-bottom script: log which network interfaces are being brought down.
    + init-bottom script: replace xargs(1) with a while loop as it's
      apparently not included in Ubuntu's busybox.  (LP: #1652091)
    + Compile with '--disable-bundled-libtom' to use system libtomcrypt /
      libtommath.  (Closes: #870035)
  * debian/control: bump Standards-Version to 4.0.0 (no changes necessary).
  * debian/{control,dropbear-bin.install,dropbear-bin.manpages}: apply
    wrap-and-sort(1).

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 08 Aug 2017 21:59:06 +0200

dropbear (2017.75-1) unstable; urgency=medium

  * New upstream release.  Remove quilt patches CVE-2017-9078 and
    CVE-2017-9079, previously backported from 2017.75 to 2016.74-5.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 17 Jun 2017 12:36:10 +0200
