## dropbear 2018.76

=== debian/changelog ===
dropbear (2018.76-4) unstable; urgency=medium

  * Backport security fix for CVE-2018-15599: The recv_msg_userauth_request
    function in svr-auth.c in Dropbear through 2018.76 is prone to a user
    enumeration vulnerability because username validity affects how fields in
    SSH_MSG_USERAUTH messages are handled.  (Closes: #906890.)
    Cherry-picked from https://secure.ucc.asn.au/hg/dropbear/rev/5d2d1021ca00 .
  * debian/control: Bump Standards-Version to 4.2.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 24 Aug 2018 14:36:51 +0200

dropbear (2018.76-3) unstable; urgency=medium

  * debian/initramfs/bottom-dropbear:
    + Read and parse /proc/*/stat instead of ps(1)'s output, as ps(1) options
      differ between Debian and Ubunt's busybox.  Thanks to 'eviljoel' for the
      patch. (LP: #1652091.)
    + Normalize paths before comparison.  This fixes dropbear shutdown on
      initramfs images with an usrmerge layout, such as images made by
      mkinitramfs(8) from initramfs-tools-core 0.132.
  * debian/control: Bump Standards-Version to 4.1.5 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 30 Jul 2018 17:09:02 +0800

dropbear (2018.76-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 4.1.4 (no changes necessary).
    + Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Jun 2018 18:15:34 +0200

dropbear (2018.76-1) unstable; urgency=low

  * New upstream release.  Configuration/compatibility changes:
    + "dropbear -r" option for hostkeys no longer attempts to load the default
      hostkey paths as well. If desired these can be specified manually.
    + group1-sha1 key exchange is disabled in the server by default since the
      fixed 1024-bit group may be susceptible to attacks
    + twofish ciphers are now disabled in the default configuration
    + Default generated ECDSA key size is now 256 (rather than 521)
      for better interoperability
    + Minimum RSA key length has been increased to 1024 bits
    See https://dropbear.nl/mirror/CHANGES for the full changelog.
  * debian/control: bump Standards-Version to 4.1.3 (no changes necessary).
  * debian/dropbear-bin.docs: Remove TODO file.
  * debian/rules: Explicitly append "-fPIE -pie" to the LDFLAGS.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 05 Mar 2018 14:36:19 +0100
