=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libtomcrypt-dev,
                libtommath-dev,
                libz-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dropbear.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dropbear.git
+Vcs-Git: https://salsa.debian.org/debian/dropbear.git
+Vcs-Browser: https://salsa.debian.org/debian/dropbear
 
 Package: dropbear-bin
 Architecture: any
