## dropbear 2019.78

=== debian/changelog ===
dropbear (2019.78-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:47:46 +0000

dropbear (2019.78-2) unstable; urgency=medium

  * Improve upgrade path via Recommends and NEWS entry.
  * d/control:
    + Change dropbear's Recommends to 'cryptsetup-initramfs' from
      'cryptsetup'.  That's the package shipping cryptsetup's initramfs
      integration.
    + Bump Standards-Version to 4.4.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 27 Jul 2019 18:20:59 -0300

dropbear (2019.78-1) unstable; urgency=medium

  * New upstream release.
  * Rename 'dropbear-run' to 'dropbear'.  'dropbear-run' is now a transitional
    dummy package depending on 'dropbear'.  This complete the package split
    started with 2015.68-1.
  * dropbear-initramfs: Remove backward compatibility checks and warnings that
    were added for the upgrade path from Jessie to Stretch. (Closes: #926875)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 08 Jul 2019 17:06:07 +0200

dropbear (2018.76-5) unstable; urgency=medium

  * Put custom options, such as SFTPSERVER_PATH, in localoptions.h not in
    debian/rules.  Regression since 2018.76-1, cf. upstream's CHANGES file.
    (Closes: #915826.)
  * debian/upstream/signing-key.asc: Minimize upstream's OpenPGP certificate.
  * debian/control: Bump Standards-Version to 4.3.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 12 Feb 2019 13:06:15 +0100
