=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libtomcrypt-dev,
                libtommath-dev,
                libz-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
@@ -32,14 +32,15 @@
  .
  This package provides dropbear, dbclient, dropbearkey and dropbearconvert.
 
-Package: dropbear-run
+Package: dropbear
 Architecture: all
 Depends: dropbear-bin (>= ${source:Version}),
          lsb-base (>= 3.0-6),
          ${misc:Depends}
 Suggests: runit
-Breaks: dropbear (<< 2015.68-1)
-Replaces: dropbear (<< 2015.68-1)
+Breaks: dropbear-run (<< 2019.78-1~)
+Replaces: dropbear-run (<< 2019.78-1~)
+Recommends: dropbear-initramfs
 Multi-Arch: foreign
 Description: lightweight SSH2 server and client - startup scripts
  dropbear is a SSH 2 server and client designed to be small enough to
@@ -56,7 +57,7 @@
          initramfs-tools (>= 0.94),
          udev,
          ${misc:Depends}
-Recommends: cryptsetup
+Recommends: cryptsetup-initramfs
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)
 Multi-Arch: foreign
@@ -70,15 +71,14 @@
  .
  This package provides initramfs integration.
 
-Package: dropbear
+Package: dropbear-run
 Architecture: all
 Section: oldlibs
 Pre-Depends: dpkg (>= 1.17.14)
-Depends: dropbear-initramfs (>= 2015.68-1),
-         dropbear-run (>= 2015.68-1),
-         ${misc:Depends}
+Depends: dropbear (>= 2019.78-1~), ${misc:Depends}
+Breaks: dropbear (<< 2019.78-1~)
 Multi-Arch: foreign
-Description: transitional dummy package for dropbear-{run,initramfs}
+Description: transitional dummy package for dropbear
  This is a transitional dummy package to get upgrading systems to install the
- dropbear-run and dropbear-initramfs packages. It can safely be removed once no
- other package depends on it.
+ dropbear package. It can safely be removed once no other package depends on
+ it.
