=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-bundled-libtom \
-	  CC='$(CC)' CFLAGS='$(CFLAGS) -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
-	  $(CONFFLAGS)
+	  CC='$(CC)' CFLAGS='$(CFLAGS)' $(CONFFLAGS)
 
 override_dh_install:
-	dh_link -pdropbear-run /var/log/dropbear etc/dropbear/log/main
+	dh_link -pdropbear /var/log/dropbear etc/dropbear/log/main
 	dh_install
