## dropbear 2020.80

=== debian/changelog ===
dropbear (2020.80-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/authorized_keys-options-parsing.patch: Remove patch, now
    applied upstream.
  * debian/tests/on-lvm-and-luks: Replace dpkg-architecture(1) call with
    `dpkg --print-architecture`.  The CI runners aren't build machines.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 26 Jun 2020 17:38:44 +0200

dropbear (2020.79-2) unstable; urgency=medium

  * debian/tests/on-lvm-and-luks: skip test on non-amd64 hosts.
  * Remove build dependency on dh-exec(1).
  * debian/control: Bump debhelper compatibility level to 13.
  * debian/service/run: (runit script) to drop deprecated option '-d' and add
    support for ECDSA and ED25519 host keys.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 16 Jun 2020 16:09:57 +0200

dropbear (2020.79-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * New upstream release.  Highlights and potentially breaking changes include
    + Add ed25519 host and client keys support.
    + Add ChaCha20/Poly1305 authenticated cipher support.
    + X11 forwarding is disabled at compile time.
    + AES-CBC and 3DES ciphers are disabled at compile time.
    + Use getrandom() call for entropy collection.
  * debian/README.initramfs: fix path to cryptsetup's README.Debian.gz.
    (Closes: #934146)
  * debian/initramfs/dropbear-hook: Don't mention cryptroot in warning
    messages, only SSH login.
  * debian/initramfs/bottom-dropbear: Wait for drobear to start before
    bringing the network down. This avoids a race where the network stack were
    fully not configured yet by the time the execution is handed over to the
    main system. (Closes: #943459)
  * debian/dropbear.postinst: Remove comparison with ancient version 0.50-4
    (released in 2008).
  * debian/control: dropbear: Add Pre-Depends: ${misc:Pre-Depends}.
  * debian/control: Bump Standards-Version to 4.5.0 (no changes necessary).
  * debian/control: Set 'Rules-Requires-Root: no'.
  * debian/control: Remove duplicate Depends: lsb-base.
  * debian/control: Bump minimum version for libtomcrypt and libtommath.
  * Install dropbearconvert(1) to /usr/bin, and add a compatibility symlink
    in its previous location /usr/lib/dropbear.

  [Johannes 'josch' Schauer]
  * Add autopkgtest to test dropbear-initramfs. (Closes: #934753)
  * Enable Salsa CI tests.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Add missing dependency on lsb-base.
  * Bump debhelper from old 9 to 12.
  * Drop unnecessary dependency on dh-autoconf.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.32cvs-1, 0.32cvs-1.
  * Wrap long lines in changelog entries: 2014.64-1.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 16 Jun 2020 02:50:00 +0200
