=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Gerrit Pape <pape@smarden.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dh-exec,
-               libtomcrypt-dev,
-               libtommath-dev,
+Build-Depends: debhelper-compat (= 13),
+               libtomcrypt-dev (>=1.18.2~),
+               libtommath-dev (>=1.2.0~),
                libz-dev
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
@@ -17,7 +16,7 @@
 Package: dropbear-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: openssh-client, xauth
+Suggests: openssh-client
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)
 Provides: ssh-server
@@ -28,12 +27,13 @@
  secure enough for general use.
  .
  It implements most required features of the SSH 2 protocol, and other
- features such as X11 and authentication agent forwarding.
+ features such as authentication agent forwarding.
  .
  This package provides dropbear, dbclient, dropbearkey and dropbearconvert.
 
 Package: dropbear
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: dropbear-bin (>= ${source:Version}),
          lsb-base (>= 3.0-6),
          ${misc:Depends}
@@ -48,7 +48,7 @@
  secure enough for general use.
  .
  It implements most required features of the SSH 2 protocol, and other
- features such as X11 and authentication agent forwarding.
+ features such as authentication agent forwarding.
 
 Package: dropbear-initramfs
 Architecture: all
@@ -67,7 +67,7 @@
  secure enough for general use.
  .
  It implements most required features of the SSH 2 protocol, and other
- features such as X11 and authentication agent forwarding.
+ features such as authentication agent forwarding.
  .
  This package provides initramfs integration.
