## dropbear 2020.81

=== debian/changelog ===
dropbear (2020.81-5) unstable; urgency=medium

  * d/t/remote-unlocking: Replace QEMU's deprecated short-form boolean options.
  * d/t/remote-unlocking: Set cache=unsafe on the target drive.
  * d/t/remote-unlocking: Use apt-get indextargets's Repo-URI not its URI.
  * d/t/remote-unlocking: Ensure we're the current version of the package is
    available.
  * d/t/remote-unlocking: Replace linux-image-amd64 with linux-image-generic.
  * d/t/remote-unlocking: Set 'size=256' in crypttab(5).
  * d/t/remote-unlocking: Fix APT Repo-URI scheme.
  * d/rules: Replace manual call to dh_link with a new d/dropbear.links file.
  * d/copyright: Set field Upstream-Name.
  * Refresh lintian overrides to accommodate lintian v2.114.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 08 Dec 2021 12:37:31 +0100

dropbear (2020.81-4) unstable; urgency=low

  * d/control: Remove <pape> from Uploaders. Thanks to gerrit for their work
    on the dropbear package! (Closes: #907082)
  * d/control: dropbear: Demote 'dropbear-initramfs' to Suggests.
    (Closes: #962132)
  * d/control: Bump Standards-Version to 4.6.0 (no changes necessary).
  * initramfs boot script: Don't exit when IP={none,off}. (Closes: #958526)
  * Rename /etc/dropbear-initramfs to /etc/dropbear/initramfs, and
    /etc/dropbear-initramfs/config to /etc/dropbear/initramfs/dropbear.conf.
  * d/t/on-lvm-and-luks: Near-complete rewrite:
    - Adjust partition sizes to account for the current needs of the distro.
    - Set 'Architecture: amd64' to properly skip the test on other
      architectures.
    - Run mmdebstrap(1) with --mode=auto instead of --mode=root.  This uses
      --mode=unshare when kernel.unprivileged_userns_clone is set to 1,
      otherwise --mode=fakeroot (#944929 is now fixed)
    - Consolidate style.
    - Ensure we're testing the current dropbear-initramfs version.
    - Use KVM acceleration when possible.  Also, try to create /dev/kvm if
      missing (for instance in a chroot where /dev is not managed by udev).
    - Raise timeout values so the test has a chance to complete when KVM is
      not supported/used.
    - Adjust copyright.
    - Replace 'Depends: libguestfs-tools, sleepenh, time' with 'Depends:
      cryptsetup-initramfs, fdisk, initramfs-tools-core, lvm2'.  Instead of
      using guestfish(1) to set up a first system which is in turn used to set
      up the target system, we build a custom initramfs image containing the
      required dependencies, boot into it and entirely set up the target
      system from there.
    - Unconditionally dump (in real time) the guest's serial console into the
      standard output.  Before it was only done upon error.
    - Use a random key file instead of a hardcoded/pre-chosen passphrase.
    - Restrict the guest's ability to reach external hosts.
    - Assign static addresses under 10.0.2.128/25 instead of using DHCP.  That
      way we don't have to include 'isc-dhcp-client' in the debootstrap chroot.
    - Use dropbear instead of OpenSSH in the main system as well, not just in
      the initramfs.  After all we're testing dropbear here :-)
    - Instead of having the root and swap (resume) devices each in its own LV
      held by a LUKS device, we put the root FS directly on the root device,
      and add a new plain dm-crypt partition for a transient swap device.
      This removes 'Depends: lvm2'.  Consequently, the test is renamed to
      'remote-unlocking'.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Aug 2021 13:08:39 +0200

dropbear (2020.81-3) unstable; urgency=medium

  * Initramfs: Use 10 placeholders in ~root template.
  * Initramfs: Explicitly pass --tmpdir flag to mktemp(1).
  * Initramfs hook: Better guard against unsafe $DESTDIR.
  * Postinst: Show hostkey filename in showpubkey().
  * Postinst: No longer generate DSS (DSA) host keys.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 14 Jan 2021 21:14:26 +0100

dropbear (2020.81-2) unstable; urgency=medium

  * Initramfs hook: Use ldconfig to find the path of the dlopen()'ed sonames
    to copy over.
  * Rename Debian branch to debian/latest for DEP-14 compliance.
  * Remove compression=bzip2 from d/gbp.conf.
  * Initramfs init-bottom script: Make wait_for_dropbear() 60s timeout
    configurable with new option $DROPBEAR_SHUTDOWN_TIMEOUT. (Closes:
    #964187)
  * Update watch file format version to 4.
  * Bump Standards-Version to 4.5.1 (no changes necessary).
  * d/patches/local-options.patch: Mark "Forwarded: not-needed".
  * d/debian/dropbear.postinst: Use dropbearconvert(1) from $PATH not from
    deprecated /usr/lib/dropbear.
  * dropbear-bin: Override "breakout-link usr/lib/dropbear/dropbearconvert ->
    usr/bin/dropbearconvert" lintian warning.  This is a compatibility symlink
    since 2020.79-1.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 01 Jan 2021 20:41:58 +0100

dropbear (2020.81-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 29 Oct 2020 23:16:17 +0100
