=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Uploaders: Gerrit Pape <pape@smarden.org>
 Build-Depends: debhelper-compat (= 13),
                libtomcrypt-dev (>=1.18.2~),
                libtommath-dev (>=1.2.0~),
                libz-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
-Vcs-Git: https://salsa.debian.org/debian/dropbear.git
+Vcs-Git: https://salsa.debian.org/debian/dropbear.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
 
 Package: dropbear-bin
@@ -37,10 +36,9 @@
 Depends: dropbear-bin (>= ${source:Version}),
          lsb-base (>= 3.0-6),
          ${misc:Depends}
-Suggests: runit
+Suggests: dropbear-initramfs, runit
 Breaks: dropbear-run (<< 2019.78-1~)
 Replaces: dropbear-run (<< 2019.78-1~)
-Recommends: dropbear-initramfs
 Multi-Arch: foreign
 Description: lightweight SSH2 server and client - startup scripts
  dropbear is a SSH 2 server and client designed to be small enough to
@@ -76,6 +74,7 @@
 Section: oldlibs
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: dropbear (>= 2019.78-1~), ${misc:Depends}
+Recommends: dropbear-initramfs (>= 2019.78-1~)
 Breaks: dropbear (<< 2019.78-1~)
 Multi-Arch: foreign
 Description: transitional dummy package for dropbear
