## dropbear 2022.82

=== debian/changelog ===
dropbear (2022.82-3~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ce155dd03a06f161c881fecf3db86a3797ef315a.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/dropbear/dropbear_2022.82-
    3.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Thu, 15 Sep 2022 16:11:44 +0200

dropbear (2022.82-3) unstable; urgency=low

  * d/t/upstream-tests: Set DBTEST_IN_ACTION=true so we don't skip
    test_svrauth.py.
  * d/t/upstream-tests: Guard against direct use.
  * d/dropbear.preinst: Also migrate *unmodified* /etc/default/dropbear from
    Jessie, Stretch, and Buster to conffile.  Existing files were never
    touched by postinst, so it makes sense to migrate known stock versions
    older than Bullseye.
  * d/t/remote-unlocking: Don't look for swap in the validation phase as doing
    so is racy.
  * d/patches: Fix FTBFS on hurd-i386.
  * Add d/u/metadata.
  * d/dropbear.postrm: Minor quoting improvements
  * d/t/control: Improve comment in remote-unlocking test.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 04 Apr 2022 23:32:24 +0200

dropbear (2022.82-2) unstable; urgency=medium

  * d/dropbear.postrm: Remove redundant `rm` call.
  * d/t/upstream-tests: Run pytest in ./test.
  * d/p: Raise connection delay in test/test_channels.py to make it pass on
    slower machines (such as the armhf debci runners).

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 03 Apr 2022 10:00:11 +0200

dropbear (2022.82-1) unstable; urgency=medium

  [ Matt Johnston ]
  * New upstream release 2022.82.  Highlights include:
    - dropbearconvert(1): Support converting from OpenSSH (>=7.8) private key
      format (closes: #955384), and convert to that format rather than PEM
    - Reworked -v verbose printing, specifying multiple times will increase
      verbosity.
    - Added server support for U2F/FIDO keys (ecdsa-sk and ed25519-sk) in
      authorized_keys(5).
    - Use a separate $PATH when logging in as root (closes: #903403).
    - Disable dh-group1 key exchange by default. It has been disabled server
      side by default since 2018.76-1.
    - Removed Twofish cipher.

  [ Lee Garrett ]
  * initramfs script configuration: Add quotes to indicate they're required.
    (Closes: #1003951)

  [ Guilhem Moulin ]
  * Add missing build dependency on dh addon.
  * initramfs script configuration: Clarify that assignment follow shell
    semantics.
  * d/gbp.conf: Add upstream VCS tag as additional parent to upstream/$VERSION.
  * Run wrap-and-sort(1).
  * Fix autopkgtest for non-sid suites.
  * Create localoptions.h in d/rules not from d/patches.
  * d/localoptions.h: Hardcode PATH environment variable when a regular user
    resp. the superuser logs in to the login.defs(5) default values, namely
    "/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games" resp.
    "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin".
  * d/tests: Run the upstream test suite as a DEP-8 test.  We skip it at build
    time since it needs access to ~/.ssh which is forbidden in the build
    environment.
  * Update d/copyright.
  * d/rules: Remove useless override_dh_installinit target and rename
    d/dropbear.dropbear.init to d/dropbear.init.
  * d/dropbear.init: Put PID file in /run not /var/run.
  * d/dropbear.init: Minor refactoring.
  * d/dropbear.postinst: Replace deprecated which(1) calls with `command -v`.
  * d/dropbear.postinst: Also convert OpenSSH keys in new format since
    dropbearconvert(1) can now convert those.
  * Remove d/README.Debian.diet from 'dropbear-bin' documentation.
  * Install README.Debian in 'dropbear' package not 'dropbear-bin'.
  * Minor d/dropbear.README.Debian improvement.
  * d/control: Improve package description.
  * Add systemd.service(5) file.
  * /etc/default/dropbear: Breaking changes to accommodate the
    systemd.service(5) logic:
    + Drop support for NO_START=1 (one needs to manually disable the service
      or remove the package instead); and
    + Drop support for DROPBEAR_*KEY and DROPBEAR_BANNER (one needs to use
      DROPBEAR_EXTRA_ARGS with the adequate dropbear(8) instead instead).
  * Handle /etc/default/dropbear as a conffile instead of letting postinst
    create it.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 02 Apr 2022 15:51:17 +0200
