=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libtomcrypt-dev (>=1.18.2~),
-               libtommath-dev (>=1.2.0~),
+Build-Depends: debhelper,
+               debhelper-compat (= 13),
+               libtomcrypt-dev (>= 1.18.2~),
+               libtommath-dev (>= 1.2.0~),
                libz-dev
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
@@ -28,7 +29,8 @@
  It implements most required features of the SSH 2 protocol, and other
  features such as authentication agent forwarding.
  .
- This package provides dropbear, dbclient, dropbearkey and dropbearconvert.
+ This package provides dropbear(8), dbclient(1), dropbearkey(1) and
+ dropbearconvert(1).
 
 Package: dropbear
 Architecture: all
@@ -47,6 +49,8 @@
  .
  It implements most required features of the SSH 2 protocol, and other
  features such as authentication agent forwarding.
+ .
+ This package provides startup scripts for the service manager.
 
 Package: dropbear-initramfs
 Architecture: all
