=== debian/changelog ===
dropbear (2022.83-1+deb12u3) bookworm; urgency=high

  * Fix CVE-2025-47203: Shell injection vulnerability in multihop handling.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 16 May 2025 15:01:36 +0200

dropbear (2022.83-1+deb12u2) bookworm; urgency=medium

  * Fix noremotetcp behavior.  Keepalive packets were being ignored when the
    ‛-k’ flag (or ‛no-port-forwarding’ authorized_keys(5) restriction) was
    used.  (Closes: #1069768)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Jul 2024 14:22:02 +0200

dropbear (2022.83-1+deb12u1) bookworm; urgency=medium

  * Fix CVE-2023-48795: (terrapin attack): The SSH transport protocol with
    certain OpenSSH extensions allows remote attackers to bypass integrity
    checks such that some packets are omitted (from the extension negotiation
    message), and a client and server may consequently end up with a
    connection for which some security features have been downgraded or
    disabled, aka a Terrapin attack. (Closes: #1059001)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 26 Jan 2024 10:01:00 +0100

dropbear (2022.83-1) unstable; urgency=medium

  * New upstream release 2022.83.  Support for ssh-dss (DSA) host and user
    keys is disabled by default at compile-time.  Such keys are considered
    insecure as they are only 1024 bits long and use the SHA-1 digest
    algorithm.  Note that OpenSSH disables support for such keys at run-time
    since 7.0/7.0p1.
  * Reflect ssh-dss deprecation in maintscripts and NEWS file.
  * d/t/remote-unlocking: Use 2 vCPUs.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 14 Nov 2022 22:16:35 +0100

dropbear (2022.82-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:01:59 +0200

dropbear (2022.82-4) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/rules: Inspect DEB_BUILD_* with $(filter ,) not $(findstring ,).
  * Salsa CI: Remove default configuration file.
  * Update standards version to 4.6.1, no changes needed.
  * d/t/remote-unlocking: Mask systemd-firstboot.service to fix debci with
    systemd 251.5-1.
  * d/copyright: typofix.
  * Refresh lintian overrides to accommodate lintian v2.115.

  [ Steve Langasek ]
  * DEP-8: Call mkdir with -p to fix autopkgtest on Ubuntu. (Closes: #1017876)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 05 Oct 2022 20:20:13 +0200
