=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libtommath-dev (>= 1.2.0~),
                libz-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
