=== debian/tests/control ===
Tests: upstream-tests
Depends: dropbear-bin, openssh-client, python3-psutil, python3-pytest
Restrictions: allow-stderr, breaks-testbed, rw-build-tree

Tests: remote-unlocking
# Only dependencies required to set the VM here are listed here;
# dropbear-initramfs is not listed since we only install it in the VM.
Depends: cryptsetup-initramfs,
         fdisk,
         initramfs-tools-core,
         linux-image-generic,
         mmdebstrap,
         openssh-client,
         qemu-system-x86
# We only need root to create /dev/kvm, really.  And while it works
# locally and on debCI, it doesn't work on salsa CI.
Restrictions: allow-stderr, needs-root
# dropbear-initramfs is arch=all so it should be enough to test on a
# single architecture and use qemu-system-x86_64(1).
Architecture: amd64
