## dropbear 2024.85

=== debian/changelog ===
dropbear (2024.85-3) unstable; urgency=medium

  * DEP-8: Mark remote-unlocking as flaky.  To be re-evaluated if/when the
    test runs on environment where KVM is available.  (Closes: #1072947)
  * d/t/remote-unlocking: Also install systemd-cryptsetup in the guest.  This
    is needed to unlock the swap device at boot time (not at initramfs stage).

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Jul 2024 12:07:08 +0200

dropbear (2024.85-2) unstable; urgency=medium

  * DEP-8: Mark upstream-tests as flaky. (Closes: #1072369)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 03 Jun 2024 00:24:16 +0200

dropbear (2024.85-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update Standards-Version to 4.7.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 26 Apr 2024 12:04:25 +0200

dropbear (2024.84-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove legacy maintscripts.
  * Refresh d/patches and remove those applied upstream.
  * Update d/copyright, d/*.docs and d/s/lintian-overrides to reflect the new
    upstream layout.
  * d/control: Demote Depends: sysvinit-utils to Suggests and drop lsb-base
    alternative.
  * d/t/upstream-tests: Create ~/.ssh/authorized_keys with mode 0600 as
    dropbear now checks its permissions.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 04 Apr 2024 17:18:48 +0200

dropbear (2022.83-4) unstable; urgency=medium

  * Fix CVE-2023-48795: (terrapin attack): The SSH transport protocol with
    certain OpenSSH extensions allows remote attackers to bypass integrity
    checks such that some packets are omitted (from the extension negotiation
    message), and a client and server may consequently end up with a
    connection for which some security features have been downgraded or
    disabled, aka a Terrapin attack. (Closes: #1059001)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 25 Jan 2024 02:08:38 +0100

dropbear (2022.83-3) unstable; urgency=medium

  * d/control: Drop dropbear-run binary package. (Closes: #1038256)
  * initramfs hook: Reuse ~root if set up in $DESTDIR. (Closes: #1056274)
  * Refresh d/patches.
  * Cherry-pick upstream commit to remove more files in distclean.
    (Closes: #1044936)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 21 Nov 2023 12:24:46 +0100

dropbear (2022.83-2) unstable; urgency=medium

  * d/.gitattribute: New file for proper merging of d/changelog.
  * Update standards version to 4.6.2, no changes needed.
  * d/u/metadata: Replace hg.ucc.asn.au repo with GitHub.
    https://hg.ucc.asn.au/dropbear has not been updated since 2022.82 and the
    homepage doesn't advertize it anymore.
  * d/control: dropbear: Replace ‘Depends: lsb-base (>= 3.0-6)’ with
    ‘sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6)’.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 10 Jun 2023 22:56:47 +0200
