=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: upstream-tests
 Depends: dropbear-bin, openssh-client, python3-psutil, python3-pytest
-Restrictions: allow-stderr, breaks-testbed, rw-build-tree
+Restrictions: allow-stderr, breaks-testbed, rw-build-tree, flaky
 
 Tests: remote-unlocking
 # Only dependencies required to set the VM here are listed here;
@@ -14,7 +14,7 @@
          qemu-system-x86
 # We only need root to create /dev/kvm, really.  And while it works
 # locally and on debCI, it doesn't work on salsa CI.
-Restrictions: allow-stderr, needs-root
+Restrictions: allow-stderr, needs-root, flaky
 # dropbear-initramfs is arch=all so it should be enough to test on a
 # single architecture and use qemu-system-x86_64(1).
 Architecture: amd64
