=== debian/changelog ===
dropbear (2024.86-2) unstable; urgency=medium

  [ Reto Schneider ]
  * initramfs hook: Update SSH key type check

  [ Guilhem Moulin ]
  * initramfs hook: Make authorized_keys(5) regex more robust.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 01 Jan 2025 11:49:32 +0100

dropbear (2024.86-1) unstable; urgency=medium

  * New upstream bugfix release.
  * d/README.initramfs: Account for compressed kernel modules in module
    listing command.
  * Remove d/*.patch applied upstream.
  * d/t/control: Add "Depends: python3-asyncssh" to upstream-tests.
  * d/t/upstream-tests: convert ECDSA key to openssh format so that asyncssh
    can find it.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 23 Oct 2024 17:29:07 +0200
