=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libtommath-dev (>= 1.2.0~),
                libz-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
@@ -35,12 +35,8 @@
 Package: dropbear
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: dropbear-bin (>= ${source:Version}),
-         lsb-base (>= 3.0-6),
-         ${misc:Depends}
-Suggests: dropbear-initramfs, runit
-Breaks: dropbear-run (<< 2019.78-1~)
-Replaces: dropbear-run (<< 2019.78-1~)
+Depends: dropbear-bin (>= ${source:Version}), ${misc:Depends}
+Suggests: dropbear-initramfs, runit, sysvinit-utils (>= 3.05-4~)
 Multi-Arch: foreign
 Description: lightweight SSH2 server and client - startup scripts
  dropbear is a SSH 2 server and client designed to be small enough to
@@ -72,16 +68,3 @@
  features such as authentication agent forwarding.
  .
  This package provides initramfs integration.
-
-Package: dropbear-run
-Architecture: all
-Section: oldlibs
-Pre-Depends: dpkg (>= 1.17.14)
-Depends: dropbear (>= 2019.78-1~), ${misc:Depends}
-Recommends: dropbear-initramfs (>= 2019.78-1~)
-Breaks: dropbear (<< 2019.78-1~)
-Multi-Arch: foreign
-Description: transitional dummy package for dropbear
- This is a transitional dummy package to get upgrading systems to install the
- dropbear package. It can safely be removed once no other package depends on
- it.
