## dropbear 2025.88

=== debian/changelog ===
dropbear (2025.88-2) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/control: Explicitly add `Build-Depends: libcrypt-dev`.
    (Closes: #1106965)

  [ MichaIng ]
  * d/rules: Build with `--disable-lastlog` as Trixie ships without
    lastlog(8), see #1083102.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 08 Jul 2025 23:05:41 +0200

dropbear (2025.88-1) unstable; urgency=medium

  * New upstream security and bugfix release.
    + Fix CVE-2025-47203: dbclient allows command injection via an untrusted
      hostname argument, because a shell is used.
  * Update Standards-Version to 4.7.2 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 07 May 2025 17:02:27 +0200
