=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),
+               libcrypt-dev,
                libtomcrypt-dev (>= 1.18.2~),
                libtommath-dev (>= 1.2.0~),
                libz-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/dropbear
