=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
   CC = gcc
 endif
 
-ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter diet, $(DEB_BUILD_OPTIONS)))
   CONFFLAGS =--disable-zlib
   CC =diet -v -Os gcc -nostdinc
 endif
@@ -24,7 +24,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-bundled-libtom \
+	dh_auto_configure -- --disable-bundled-libtom --disable-lastlog \
 	  CC='$(CC)' CFLAGS='$(CFLAGS)' $(CONFFLAGS)
 
 execute_before_dh_auto_build:
