=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,9 @@
 Tests: upstream-tests
-Depends: dropbear-bin, openssh-client, python3-psutil, python3-pytest
+Depends: dropbear-bin,
+         openssh-client,
+         python3-asyncssh,
+         python3-psutil,
+         python3-pytest
 Restrictions: allow-stderr, breaks-testbed, rw-build-tree, flaky
 
 Tests: remote-unlocking
