=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                libtomcrypt-dev (>= 1.18.2~),
                libtommath-dev (>= 1.2.0~),
                libz-dev
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://salsa.debian.org/debian/dropbear.git -b debian/latest
