=== debian/watch ===
Version: 5
Source: https://matt.ucc.asn.au/dropbear/releases
Matching-Pattern: dropbear-([0-9]+(?:\.[0-9]+)+)\.tar\.bz2
Pgp-Sig-Url-Mangle: s/$/.asc/
#
# Releases are signed with
#   F734 7EF2 EE2E 07A2 6762  8CA9 4493 1494 F29C 6773
# https://matt.ucc.asn.au/dropbear/releases/dropbear-key-2015.asc
